art - Feature #19484
Milestone # 15372 (Closed): art multi-threading phase 1

Restrict secondary file-reading to 1 schedule and 1 thread
03/26/2018 08:54 AM - Kyle Knoepfel

Status: Closed Start date: 03/26/2018
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: I/0 Estimated time: 2.00 hours
Target version: 3.00.00 Spent time: 1.00 hour
Scope: Internal SSI Package: art
Experiment: -

Description

For art 3.00.00, secondary file-reading will be restricted to 1 schedule and 1 thread. This restriction might be relaxed for future
versions of art. The complications with secondary file-reading in a multi-threaded context art:

1. needing to ensure thread-safe access to the input source during the opening of any input file
2. needing to synchronize the list of "selected products" to be written to any output file whenever an input file has been opened.

Item #1 is probably already taken care of due to the input source's locking mechanisms that are in place. ltem #2 is more difficult
and will need to be deferred until another time.

History

#1 - 03/26/2018 11:25 AM - Kyle Knoepfel
- Status changed from New to Assigned

- Assignee set to Kyle Knoepfel

#2 - 04/09/2018 10:45 AM - Kyle Knoepfel

- Category set to /O

- Status changed from Assigned to Resolved
- Target version set to 3.00.00

- % Done changed from 0 to 100

- SSI Package art added

Implemented with commit art:6a0cf53.

#3 - 06/05/2018 03:56 PM - Kyle Knoepfel

- Status changed from Resolved to Closed
